Lista las respuestas NPS de la empresa que hace la llamada
curl --request GET \
--url https://clientapi.woku.app/v1/nps \
--header 'Authorization: Bearer <token>'import requests
url = "https://clientapi.woku.app/v1/nps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://clientapi.woku.app/v1/nps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"responseChannel": "<string>",
"_id": "<string>",
"score": 5,
"category": "promoter",
"anonymous": true,
"npsToolId": "<string>",
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"textnote": {
"description": "<string>",
"feedbackType": "recognition",
"anonymous": true,
"createdAt": "2023-11-07T05:31:56Z"
},
"voicemail": {
"transcription": "<string>",
"feedbackType": "recognition",
"anonymous": true,
"createdAt": "2023-11-07T05:31:56Z"
}
}
],
"total": 123,
"page": 123,
"limit": 123
}{
"statusCode": 403,
"message": "Authentication required",
"error": "Forbidden"
}NPS
Lista las respuestas NPS de la empresa que hace la llamada
Paginado, las mas recientes primero. Filtra por herramienta, rango de fechas y si la respuesta lleva feedback. Requiere la clave secreta.
GET
/
v1
/
nps
Lista las respuestas NPS de la empresa que hace la llamada
Autorizaciones
Clave de API de la empresa. Obtenla desde tu panel de Woku en Configuracion > API Keys. La misma clave usada para los endpoints v0.
Parámetros de consulta
Limite inferior inclusivo de createdAt.
Limite superior inclusivo de createdAt.
true devuelve solo las respuestas con un comentario de texto o de voz.
Rango requerido:
x >= 1Rango requerido:
1 <= x <= 100